commit c6c8455e59b3a22dfbd567b7e5336fc4cb5dc257
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Oct 10 00:23:39 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 6d0d2e77043..7f0f80c6439 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241009
+20241010
diff --git a/gcc/c/ChangeLog b/gcc/c/ChangeLog
index 4358e76db18..a3e75e9794a 100644
--- a/gcc/c/ChangeLog
+++ b/gcc/c/ChangeLog
@@ -1,3 +1,12 @@
+2024-10-09  Martin Uecker  <uecker@tugraz.at>
+
+	Backported from master:
+	2024-09-20  Martin Uecker  <uecker@tugraz.at>
+
+	PR c/116726
+	* c-typeck.cc (tagged_types_tu_compatible_p): Restore value
+	of the cache after recursing into comptypes_internal.
+
 2024-08-01  Release Manager
 
 	* GCC 14.2.0 released.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 2da8d553243..c02a59eb506 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-10-09  Martin Uecker  <uecker@tugraz.at>
+
+	Backported from master:
+	2024-09-20  Martin Uecker  <uecker@tugraz.at>
+
+	PR c/116726
+	* gcc.dg/pr116726.c: New test.
+
 2024-10-08  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/116190

